package cn.iocoder.yudao.module.system.service.restaurant;


import cn.iocoder.yudao.module.system.dal.dataobject.restaurant.FoodCategoryDO;

import java.util.List;

/**
 * 菜品分类 Service 接口
 *
 * @author 系统管理员
 */
public interface FoodCategoryService {


    void createFoodCategory(FoodCategoryDO createReqVO);

    void updateFoodCategory(FoodCategoryDO updateReqVO);

    void deleteFoodCategory(Long id);

    FoodCategoryDO getFoodCategory(Long id);

    List<FoodCategoryDO> getTree(Long restaurantId);
}